<!-- side modal -->
<app-side-modal (closeClick)="emitCloseClick()">
  <!-- user info -->
  <app-side-user-info (viewInit)="onInfoInit($event)" *ngIf="user" [readOnly]="true" [user]="user"></app-side-user-info>

  <!-- device info -->
  <app-side-device-info (viewInit)="onInfoInit($event)" *ngIf="device" [device]="device"></app-side-device-info>

  <!-- space info -->
  <app-side-space-info (viewInit)="onInfoInit($event)" *ngIf="space" [space]="space"></app-side-space-info>

  <!-- header -->
  <app-side-modal-header>
    <!-- title -->
    <app-side-modal-title>
      ACCESS HISTORY
      <div class="app-total">
        {{ total }}
      </div>
    </app-side-modal-title>
  </app-side-modal-header>

  <!-- histories -->
  <app-custom-scrollbar class="app-histories">
    <!-- history -->
    <div *ngFor="let item of histories" class="app-history">
      <!-- left -->
      <div class="app-left">
        <!-- dot -->
        <div class="app-dot"></div>
      </div>

      <!-- right -->
      <div class="app-right">
        <!-- device info -->
        <div class="app-device">
          <!-- name -->
          <div class="app-name">
            {{ item.device.name }}
          </div>

          <!-- date -->
          <div class="app-date">
            {{ item.createdAt | date: 'MM/dd - hh:mm' }}
          </div>
        </div>

        <!-- state -->
        <div [class.error]="item.errorInfo.code" class="app-state">
          <!-- success -->
          <ng-container *ngIf="!item.errorInfo.code; else error">
            <div class="app-dot"></div>
            SUCCESSES
          </ng-container>

          <!-- error -->
          <ng-template #error>
            <div class="app-dot"></div>
            ERROR {{ item.errorInfo.code }}
          </ng-template>
        </div>
      </div>
    </div>

    <!-- loading -->
    <app-spinner *ngIf="loading; else more"></app-spinner>

    <!-- history items-->
    <ng-template #more>
      <div *ngIf="hasMore" class="app-more-container">
        <div (click)="getHistories(page + 1)" class="app-link view-more">
          View More
        </div>
      </div>
    </ng-template>
  </app-custom-scrollbar>

  <!-- footer -->
  <app-side-modal-footer>
    <button appFlatButton theme="secondary">
      <!-- map -->
      <app-icon-map></app-icon-map>
      Map View
    </button>
  </app-side-modal-footer>
</app-side-modal>
